<div class="docs-primary-header component-page-header">
    <mat-chip-list>
      <mat-chip>
        <mat-icon>home</mat-icon>
        <a routerLink="/dashboard">Home</a>/
        <a routerLink="/vehicles">Vehicles</a>/Add Vehicle
      </mat-chip>
    </mat-chip-list>
  </div>
  
  <div style="padding:15px;" class="appereance">
    <div class="title mat-elevation-z2">
      <span>ADD VEHICLE</span>
    </div>
    <mat-card>
      <mat-vertical-stepper [linear]="isLinear" #stepper>
        <mat-step [stepControl]="modelGroup">
          <form [formGroup]="modelGroup">
            <ng-template matStepLabel>Model Data</ng-template>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Make" (selectionChange)="getModel($event.value)" formControlName="make_id">
                    <mat-option *ngFor="let make of makes" [value]="make.make_id">
                      {{ make.make_name }}
                    </mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['make_id'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Model" (selectionChange)="getVariant($event.value)" formControlName="model_id">
                    <mat-option *ngFor="let model of models" [value]="model.model_id">
                      {{ model.model_name }}
                    </mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['model_id'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Version" (selectionChange)="getSubModel($event.value)" formControlName="variant_id">
                    <mat-option *ngFor="let variant of variants" [value]="variant.variant_id">
                      {{ variant.variant_name }}
                    </mat-option>
                  </mat-select>
                  <!-- <mat-error *ngIf="modelGroup.controls['variant_id'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error> -->
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Sub-Model" formControlName="sub_model_id">
                    <mat-option *ngFor="let sub_model of sub_models" [value]="sub_model.sub_model_id">
                      {{ sub_model.sub_model_name }}
                    </mat-option> 
                  </mat-select>
                  <!-- <mat-error *ngIf="modelGroup.controls['sub_model_id'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error> -->
                </mat-form-field>
              </div>
            </div>
            
            <div class="row">
              <!-- <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Model Year" formControlName="year_id">
                    <mat-option *ngFor="let year of years" [value]="year.year_id">
                      {{ year.year_name }}
                    </mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['year_id'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field class="form-field">
                  <mat-select placeholder="Month" formControlName="month">
                    <mat-option value="Janaury">Janaury</mat-option>
                    <mat-option value="February">February</mat-option>
                    <mat-option value="March">March</mat-option>
                    <mat-option value="April">April</mat-option>
                    <mat-option value="May">May</mat-option>
                    <mat-option value="June">June</mat-option>
                    <mat-option value="July">July</mat-option>
                    <mat-option value="August">August</mat-option>
                    <mat-option value="September">September</mat-option>
                    <mat-option value="October">October</mat-option>
                    <mat-option value="November">November</mat-option>
                    <mat-option value="December">December</mat-option>
                  </mat-select>
                  
                </mat-form-field>
              </div> -->
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="VIN" formControlName="vin" >
                  <!-- <mat-error *ngIf="modelGroup.controls['vin'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error> -->
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="CC" formControlName="cc" >
                  <!-- <mat-error *ngIf="modelGroup.controls['cc'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error> -->
                </mat-form-field>
              </div>
            
            </div>
  
            <div class="row">
                <div class="col-md-3">
                  <mat-form-field>
                    <input matInput placeholder="Engine" formControlName="engine">
                    <!-- <mat-error *ngIf="modelGroup.controls['engine'].hasError('required')">
                      This field is
                      <strong>required</strong>
                    </mat-error> -->
                  </mat-form-field>
                </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Power (kW)" formControlName="power">
                  <!-- <mat-error *ngIf="modelGroup.controls['power'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error> -->
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Cylinder" formControlName="cylinder">
                    <mat-option [value]="2">2</mat-option>
                    <mat-option [value]="4">4</mat-option>
                    <mat-option [value]="6">6</mat-option>
                    <mat-option [value]="8">8</mat-option>
                    <mat-option [value]="10">10</mat-option>
                    <mat-option [value]="12">12</mat-option>
                    <mat-option [value]="14">14</mat-option>
                    <mat-option [value]="" disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['cylinder'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Valves" formControlName="valves">
                    <mat-option [value]="4">4</mat-option>
                    <mat-option [value]="6">6</mat-option>
                    <mat-option [value]="8">8</mat-option>
                    <mat-option [value]="12">12</mat-option>
                    <mat-option [value]="20">20</mat-option>
                    <mat-option [value]="22">22</mat-option>
                    <mat-option [value]="" disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['valves'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Cam Type" formControlName="cam_type">
                    <mat-option value="Single">Single</mat-option>
                    <mat-option value="Twin">Twin</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['cam_type'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Vehicle Type" formControlName="vehicle_type">
                    <mat-option value="Car">Car</mat-option>
                    <mat-option value="Truck">Truck</mat-option>
                    <mat-option value="Bus">Bus</mat-option>
                    <mat-option value="Scooter">Scooter</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['vehicle_type'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Drive" formControlName="drive">
                    <mat-option value="FWD">FWD</mat-option>
                    <mat-option value="RWD">RWD</mat-option>
                    <mat-option value="AWD">AWD</mat-option>
                    <mat-option value="4x4">4x4</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['drive'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Fuel" formControlName="fuel">
                    <mat-option value="Petrol">Petrol</mat-option>
                    <mat-option value="Diesel">Diesel</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['fuel'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Fuel Type" formControlName="fuel_type">
                    <mat-option value="EFI">EFI</mat-option>
                    <mat-option value="Non EFI">Non EFI</mat-option>
                    <mat-option value="Direct Inj">Direct Inj</mat-option>
                    <mat-option value="CRD">CRD</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['fuel_type'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Timing" formControlName="timing">
                    <mat-option value="Belt">Belt</mat-option>
                    <mat-option value="Chain">Chain</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['timing'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Turbo Type" formControlName="turbo_type">
                    <mat-option value="Turbo">Turbo</mat-option>
                    <mat-option value="Non Turbo">Non Turbo</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['turbo_type'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <mat-select placeholder="Country" formControlName="country">
                    <mat-option value="NZ">NZ</mat-option>
                    <mat-option value="AU">AU</mat-option>
                    <mat-option value="UK">UK</mat-option>
                    <mat-option value="Germany">Germany</mat-option>
                    <mat-option disabled>Give more fields and we will add below this</mat-option>
                  </mat-select>
                  <mat-error *ngIf="modelGroup.controls['country'].hasError('required')">
                    This field is
                    <strong>required</strong>
                  </mat-error>
                </mat-form-field>
              </div>
            </div>
  
            <!-- <div class="row">
              <div class="col-md-12">
                <mat-form-field>
                  <input matInput placeholder="Additional Data" formControlName="description">
                </mat-form-field>
              </div>
            </div> -->
  
            <div>
              <button mat-raised-button color="accent" [disabled]="!modelGroup.valid || Hidden" matStepperNext>Next</button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="bodyGroup">
          <form [formGroup]="bodyGroup">
            <ng-template matStepLabel>Body Data</ng-template>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Body Type" formControlName="body_type">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Number Of Doors" formControlName="no_of_doors">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Number Of Seats" formControlName="no_of_seats">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Engine Place" formControlName="engine_place">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Drivetrain" formControlName="drivetrain">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Wheel Base (mm)" formControlName="wheel_base">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Track Front (mm)" formControlName="track_front">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Track Rear (mm)" formControlName="track_rear">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Length (mm)" formControlName="length">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Width (mm)" formControlName="width">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Height (mm)" formControlName="height">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Curb Weight (kg)" formControlName="curb_weight">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Length (mm)" formControlName="gross_weight">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Width (mm)" formControlName="roof_load">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Height (mm)" formControlName="cargo_space">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Curb Weight (kg)" formControlName="tow_weight">
                </mat-form-field>
              </div>
            </div>
            <div class="row">
              <div class="col-md-12">
                <mat-form-field>
                  <input matInput placeholder="Gas Tank (litres)" formControlName="gas_tank">
                </mat-form-field>
              </div>
            </div>
  
            <div>
              <button mat-raised-button color="accent" matStepperPrevious>Back</button>
              <button mat-raised-button color="accent" style="margin-left: 5px;" matStepperNext>Next</button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="engineGroup">
          <form [formGroup]="engineGroup">
            <ng-template matStepLabel>Engine Data</ng-template>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Cylinders" formControlName="cylinders">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Displacement (cm3)" formControlName="displacement">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Power (kW)" formControlName="power_kw">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Power (PS)" formControlName="power_ps">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Power (rpm)" formControlName="power_rpm">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Torque (nm)" formControlName="torque_nm">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Torque (rpm)" formControlName="torque_rpm">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Bore X Stroke (mm)" formControlName="bore_x_stroke">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Compression Ratio" formControlName="compression_ratio">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Valves Per Cylinder" formControlName="valves_per_cylinder">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Crank Shaft" formControlName="crank_shaft">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Fuel Injection" formControlName="fuel_injection">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Supercharger" formControlName="supercharger">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Catalytic" formControlName="catalytic">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Manual" formControlName="manual">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Automatic" formControlName="automatic">
                </mat-form-field>
              </div>
            </div>
  
            <div>
              <button mat-raised-button color="accent" style="margin-left: 5px;" matStepperNext>Next</button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="drivetrainGroup">
          <form [formGroup]="drivetrainGroup">
            <ng-template matStepLabel>Drivetrain Data</ng-template>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Suspension Front" formControlName="suspension_front">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Suspension Rear" formControlName="suspension_rear">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Assisted Steering" formControlName="assisted_steering">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Turning Circle (m)" formControlName="turning_circle">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Brakes Front" formControlName="brakes_front">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Brakes Rear" formControlName="brakes_rear">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="ABS" formControlName="abs">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="ESP" formControlName="esp">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-12">
                <mat-form-field>
                  <input matInput placeholder="Tire Size" formControlName="tire_size">
                </mat-form-field>
              </div>
            </div>
  
            <div>
              <button mat-raised-button color="accent" matStepperPrevious>Back</button>
              <button mat-raised-button color="accent" style="margin-left: 5px;" matStepperNext>Next</button>
            </div>
          </form>
        </mat-step>
        <mat-step [stepControl]="performanceGroup">
          <form [formGroup]="performanceGroup">
            <ng-template matStepLabel>Performance Data</ng-template>
  
            <div class="row">
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="0-100 kmph (sec)" formControlName="zero_to_hundred">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Max Speed (Km/h)" formControlName="max_speed">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Fuel Efficiency (1/100 Km)" formControlName="fuel_efficiency">
                </mat-form-field>
              </div>
              <div class="col-md-3">
                <mat-form-field>
                  <input matInput placeholder="Engine Type" formControlName="engine_type">
                </mat-form-field>
              </div>
            </div>
  
            <div class="row">
              <div class="col-md-12">
                <mat-form-field>
                  <input matInput placeholder="Fuel Type" formControlName="fuel_type">
                </mat-form-field>
              </div>
            </div>
  
            <div>
              <button mat-raised-button color="accent" matStepperPrevious>Back</button>
              <button mat-raised-button color="accent" style="margin-left: 5px;" (click)="stepper.reset()">Reset</button>
              <button mat-raised-button color="accent" style="margin-left: 5px;" [disabled]="!modelGroup.valid || Hidden" (click)="onSubmit()">Submit</button>
            </div>
          </form>
        </mat-step>
      </mat-vertical-stepper>
    </mat-card>
  </div>
  